hit-0.6.3: Git operations in haskell

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unix
Safe Haskell | Safe
Language | Haskell98

Data.Git.Revision

Description

Synopsis

- data Revision = Revision String [RevModifier]
- data RevModifier
  - = RevModParent Int
  - | RevModParentFirstN Int
  - | RevModAtType String
  - | RevModAtDate String
  - | RevModAtN Int
- data RevisionNotFound = RevisionNotFound Revision
- fromString :: IsString a => String -> a

# Documentation

data Revision Source

A git revision. this can be many things: * a shorten ref * a ref * a named branch or tag followed by optional modifiers `RevModifier` that can represent: * parenting * type * date

Constructors

Revision String [RevModifier] |

Instances

Eq Revision Source |
Data Revision Source |
Show Revision Source |
IsString Revision Source |

data RevModifier Source

A modifier to a revision, which is a function apply of a revision

Constructors

RevModParent Int | parent accessor ^n and ^
RevModParentFirstN Int | parent accessor ~n
RevModAtType String | @{type} accessor
RevModAtDate String | @{date} accessor
RevModAtN Int | @{n} accessor

Instances

Eq RevModifier Source |
Data RevModifier Source |
Show RevModifier Source |

data RevisionNotFound Source

Exception when a revision cannot be resolved to a reference

Constructors

RevisionNotFound Revision |

Instances

Eq RevisionNotFound Source |
Data RevisionNotFound Source |
Show RevisionNotFound Source |

fromString :: IsString a => String -> a